#include <stdio.h>
int main(){
int n;
scanf("%i" ,&n);
int x[n],y[n],z[n],br=0;
for(int i=1;i<=n;i++)
scanf("%i" ,&x[i]);
for(int i=1;i<=n;i++)
scanf("%i" ,&y[i]);
for(int i=1;i<=n;i++)
scanf("%i" ,&z[i]);
for(int i=1;i<=n;i++){
for(int k=1;k<=n;k++)
if(x[i]==y[z[k]]) br++;
}
printf("%i" ,br);
return 0;
}